dotmailer/dotmailer-magento2-extension-chat

Engagement Cloud for Magento 2: Chat module

1.2.0 2020-10-23 14:45 UTC

This package is auto-updated.

Last update: 2020-11-23 15:02:03 UTC


README

Chat module

Requirements

  • This module requires the Dotdigitalgroup_Email module v4.3.0+ [Note: the 4.1.0 version shipped with Magento 2.3.4 can also be used]

Activation

  • To enable the module, run:
composer require dotmailer/dotmailer-magento2-extension-chat
bin/magento setup:upgrade
  • Ensure you have set valid API credentials in Configuration > dotdigital > Account Settings
  • Turn on the chat bubble by enabling chat in Configuration > dotdigital > Chat Settings

1.0.3

Improvements
  • We've added a Content Security Policy whitelist for specific domains used by this module. External contribution

1.0.2

Bug fixes
  • Access tokens for the Chat API are now refreshed when they expire.
  • We resolved some access control issues relating to non-admin user accounts.

1.0.1

What's new
  • We've changed the Chat menu item to dotdigital Chat in the Marketing menu.

1.0.0

What’s new
  • Engagement Cloud Chat is now available for Magento merchants. Existing clients can enable chat via Engagement Cloud > Chat Settings to start using this new channel.